%global momorel		1

Summary: A script to handle icon names in desktop icon themes
Name: icon-naming-utils
Version: 0.6.7
Release: %{momorel}m
URL: http://tango-project.org/Standard_Icon_Naming_Specification
Source: http://tango-project.org/releases/icon-naming-utils-%{version}.tar.gz
License: GPL
Group: Development/Tools
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Nosource: 0

BuildRequires:  perl-XML-Simple
Requires:       perl-XML-Simple

Patch0: icon-naming-utils-0.6.7-paths.patch

%description
A script for creating a symlink mapping for deprecated icon names to
the new Icon Naming Specification names, for desktop icon themes.

%prep
%setup -q
%patch0 -p1 -b .paths

%build
# the paths patch patches Makefile.am
automake
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{_bindir}/icon-name-mapping
%{_datadir}/icon-naming-utils
%{_datadir}/pkgconfig/icon-naming-utils.pc

%changelog
* Sat Apr  8 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.6.7-1m)
- version 0.6.7
- import from Fedora Core 5

* Mon Feb  6 2006 Matthias Clasen <mclasen@redhat.com> - 0.6.7-1
- Update to 0.6.7

* Tue Jan 17 2006 Matthias Clasen <mclasen@redhat.com> - 0.6.5-1
- Initial import
